%{!?python_sitelib: %define python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}

Name:           python-pp
Version:        1.6.0
Release:        17%{?dist}
Summary:        Parallel execution of python on smp

License:        BSD
URL:            http://www.parallelpython.com/
Source0:        http://www.parallelpython.com/downloads/pp/pp-%{version}.tar.bz2

BuildArch:      noarch
BuildRequires:  python2-devel, python2-setuptools


%global _description\
pp is a python module which provides mechanism for parallel execution of\
python code on SMP (systems with multiple processors or cores) and clusters\
(computers connected via network).\


%description %_description

%package -n python2-pp
Summary: %summary
Requires:       python2 >= 2.3, python2-configobj
%{?python_provide:%python_provide python2-pp}

%description -n python2-pp %_description

%prep
%setup -q -n pp-%{version}


%build
%py2_build


%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/%{_bindir}
%py2_install
mv $RPM_BUILD_ROOT/%{_bindir}/ppserver.py $RPM_BUILD_ROOT/%{_bindir}/ppserver



%files -n python2-pp
%doc PKG-INFO README doc/example.config doc/ppdoc.html
# For noarch packages: sitelib
%{python2_sitelib}/*
%attr (0755,root,root) %{_bindir}/ppserver


%changelog
* Sat Feb 02 2019 Fedora Release Engineering <releng@fedoraproject.org> - 1.6.0-17
- Rebuilt for https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild

* Sat Jul 14 2018 Fedora Release Engineering <releng@fedoraproject.org> - 1.6.0-16
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Wed Feb 14 2018 Iryna Shcherbina <ishcherb@redhat.com> - 1.6.0-15
- Update Python 2 dependency declarations to new packaging standards
  (See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3)

* Fri Feb 09 2018 Fedora Release Engineering <releng@fedoraproject.org> - 1.6.0-14
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Sat Aug 19 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 1.6.0-13
- Python 2 binary package renamed to python2-pp
  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3

* Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.6.0-12
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Sat Feb 11 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.6.0-11
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Tue Jul 19 2016 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.6.0-10
- https://fedoraproject.org/wiki/Changes/Automatic_Provides_for_Python_RPM_Packages

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 1.6.0-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Thu Jun 18 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.6.0-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.6.0-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.6.0-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.6.0-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Sat Jul 21 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.6.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Sat Jan 14 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.6.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.6.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Thu Aug 12 2010 Steve 'Ashcrow' Milner <me@stevemilner.org> - 1.6.0-1
- Updated to upstream latest stable.

* Thu Jul 22 2010 David Malcolm <dmalcolm@redhat.com> - 1.5.7-5
- Rebuilt for https://fedoraproject.org/wiki/Features/Python_2.7/MassRebuild

* Tue Aug 11 2009 Ville Skyttä <ville.skytta@iki.fi> - 1.5.7-4
- Use bzipped upstream tarball.

* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.5.7-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Thu Apr 30 2009 Steve 'Ashcrow' Milner <me@stevemilner.org> - 1.5.7-2
- Including new dependency and docs

* Thu Apr 30 2009 Steve 'Ashcrow' Milner <me@stevemilner.org> - 1.5.7-1
- Updated to upstream latest stable.

* Thu Feb 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.5.6-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Sat Nov 29 2008 Ignacio Vazquez-Abrams <ivazqueznet+rpm@gmail.com> - 1.5.6-2
- Rebuild for Python 2.6

* Sun Sep 14 2008 Steve 'Ashcrow' Milner <me@stevemilner.org> - 1.5.6-1
- Updated to upstream latest stable.

* Fri Aug 12 2008 Steve 'Ashcrow' Milner <me@stevemilner.org> - 1.5.5-1
- Updated to upstream latest stable.

* Mon Jul 21 2008 Steve 'Ashcrow' Milner <me@stevemilner.org> - 1.5.4-2
- Updated due to a bad cvs tag.

* Fri Jun 13 2008 Steve 'Ashcrow' Milner <me@stevemilner.org> - 1.5.4-1
- Updated to upstream latest stable.

* Thu Mar 20 2008 Steve 'Ashcrow' Milner <me@stevemilner.org> - 1.5.3-1
- Updated to upstream latest stable.

* Sun Jan 27 2008 Steve 'Ashcrow' Milner <me@stevemilner.org> - 1.5.2-1
- Updated to upstream latest stable.

* Sun Dec 16 2007 Steve 'Ashcrow' Milner <me@stevemilner.org> - 1.5-1
- Updated to upstream latest stable.

* Fri Nov 16 2007 Steve 'Ashcrow' Milner <me@stevemilner.org> - 1.4.5-3
- Removed -O1 flag.

* Sat Oct 14 2007 Steve 'Ashcrow' Milner <me@stevemilner.org> - 1.4.5-2
- Moving ppserver.py to ppserver.
- Removed if/then block.

* Sat Oct 13 2007 Steve 'Ashcrow' Milner <me@stevemilner.org> - 1.4.5-1
- Initial packaging for Fedora.
